@echo off
echo Ready to install ARS DOOM
echo You will need DEUSF.EXE and DEHACKED.EXE in your path
echo and DOOM2.WAD in your actual directory or the environment variable
echo DOOMWADDIR pointed to the dir of D00M2.WAD
echo (like SET DOOMWADDIR=C:\DOOM)
pause

deusf -app ars.wad
dehacked -save original.deh
dehacked -load ars.deh
@if not ERRORLEVEL 0 goto fail
copy doomhack.exe ars.exe
goto end

:fail
@echo. Installation failed.
@goto end
:miss
@echo. Installation impossible. missing files
@goto end
:end
